For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
LogoLogo
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETRetrieve Task Fields
      • POSTCreate Task Field
      • GETQuery Task Fields
      • DELDelete Task Field
      • GETQuery Task Field Values
      • GETRetrieve Task Field Value
      • PUTUpdate Task Field Value
      • GETRetrieve All Task Field Values
SupportContact salesStart free trial
API ReferenceTask Field

Retrieve All Task Field Values

Deprecated
GET
https://api.projectmanager.com/api/data/tasks/:taskId/fields
GET
/api/data/tasks/:taskId/fields
$curl https://api.projectmanager.com/api/data/tasks/taskId/fields \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": [
14 {
15 "id": "string",
16 "shortId": "string",
17 "name": "string",
18 "type": "string",
19 "value": "string",
20 "createdDate": "2024-01-15T09:30:00Z",
21 "modifiedDate": "2024-01-15T09:30:00Z",
22 "task": {
23 "id": "string",
24 "shortId": "string",
25 "name": "string"
26 }
27 }
28 ]
29}

This endpoint has been replace with tasks/{taskId}/fields/{fieldId}/values

Was this page helpful?
Previous

Get Task Files

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

taskIdstringRequiredformat: "uuid"
The unique identifier of the Task for which we want TaskField values

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
datalist of objects
If the API call succeeded, this will contain the results.